** Important if you are a K26 user you should read this **

Post new topic   Reply to topic    DD-WRT Forum Forum Index -> Broadcom SoC based Hardware
Goto page 1, 2, 3, 4, 5  Next

Need an update for older K26 kongmod with ssl fix
Yes
90%
 90%  [ 38 ]
No
9%
 9%  [ 4 ]
Total Votes : 42

Author Message
<Kong>
DD-WRT Guru


Joined: 15 Dec 2010
Posts: 2129
Location: Germany

PostPosted: Fri Apr 11, 2014 19:14    Post subject: ** Important if you are a K26 user you should read this ** Reply with quote
I have been asked if it is possible to roll a new kongmod build with openssl fix.

Thus I'm asking how mayn people are interested in such an update?

I still have a vm backup of my 21395 K26 release, which I could reactivate, update a few apps add a handful fixes, e.g. Repeater Mode.

Since I don't have any K26 unit anymore I can't test it, but as it is a tested release, flashing should work fine and if there are a handful people with serial setup, they could do some basic testing before I publish he new build.
Sponsor
redhawk0
DD-WRT Guru


Joined: 04 Jan 2007
Posts: 10934
Location: Wherever the wind blows- North America

PostPosted: Fri Apr 11, 2014 21:50    Post subject: Reply with quote
I am interested...I'm still running K2.6 22200 e3k-ftp_usb_DLNA_Samba3-KONG on my E3000 unit....love that build...but yes...its missing the ssl fix.

redhawk

_________________
I currently test dd-wrt on Asus, Buffalo, Linksys, and Netgear. Too many to list.

Looking for more test units (newer models) for the project...got a brick?...PM me to make a hardware donation. (USA) A donation is not a debricking service....it is a way to "Give back" to the dd-wrt project.

I do NOT provide personal assistance through chat or phone....so please don't ask.
amu5ed
DD-WRT Novice


Joined: 20 Feb 2014
Posts: 17

PostPosted: Fri Apr 11, 2014 22:02    Post subject: Reply with quote
Hi,
I'm Running the lastest Build 21676 with WiFi Working on an E3000.
Upgrading to K3 builds did not work, so please release a patched Version of 21676 or fix the WiFi for the lastest 23838 Smile

BR, Thomas
primexx
DD-WRT Novice


Joined: 22 Jun 2008
Posts: 43

PostPosted: Fri Apr 11, 2014 22:34    Post subject: Reply with quote
I'm currently on 15962 on an E3000 and a WRT310N, an updated build that works with those two would be great!
danis
DD-WRT Novice


Joined: 22 Sep 2010
Posts: 23
Location: Toronto, Ontario

PostPosted: Fri Apr 11, 2014 23:01    Post subject: Reply with quote
I'm a e3000 user, much interested in a boss with this fix included!
rizla7
DD-WRT User


Joined: 11 May 2012
Posts: 224

PostPosted: Fri Apr 11, 2014 23:35    Post subject: Reply with quote
assuming 21395 was based on 21061, which works happily on most devices, that would be great <insert meme>. personally, i'm still waiting on BS to build a new beta (which i still haven't tested on my devices).
chjohans
DD-WRT User


Joined: 27 Mar 2008
Posts: 181

PostPosted: Sat Apr 12, 2014 5:42    Post subject: Reply with quote
I'm still running your k2.6 22200 build on a lot of devices too, it's my favorite build and it's rock stable. Funny I came across this thread as I was just thinking the other day if I should try to request that you updated your older build with the ssl fix.

So please do :=)
zenni01
DD-WRT Novice


Joined: 12 Apr 2014
Posts: 1

PostPosted: Sat Apr 12, 2014 8:16    Post subject: Yes please! Reply with quote
Yes, just want to add my voice to the chorus! I have a Linksys wrt610n v2 and it's been my most stable router.

I forgot to say, I'm running vpnkong 20780M - it's pretty old, and I'm sad to say I haven't kept up with dd-wrt since it has been just so incredibly stable. So I have no idea if the more recent version you were planning has openvpn built or not.
<Kong>
DD-WRT Guru


Joined: 15 Dec 2010
Posts: 2129
Location: Germany

PostPosted: Sat Apr 12, 2014 9:08    Post subject: Reply with quote
OK, this was quick and easy, just loaded them vm.
Upgraded openssl and added a handful little fixes.
Builds are up. Not done any changes to the core.
<Kong>
DD-WRT Guru


Joined: 15 Dec 2010
Posts: 2129
Location: Germany

PostPosted: Sat Apr 12, 2014 9:15    Post subject: Re: Yes please! Reply with quote
zenni01 wrote:
Yes, just want to add my voice to the chorus! I have a Linksys wrt610n v2 and it's been my most stable router.

I forgot to say, I'm running vpnkong 20780M - it's pretty old, and I'm sad to say I haven't kept up with dd-wrt since it has been just so incredibly stable. So I have no idea if the more recent version you were planning has openvpn built or not.


Yes those builds are very stable. One of my units that I gave away is running build 22200 and has 8 month uptime.
basofree
DD-WRT Novice


Joined: 12 Apr 2014
Posts: 2
Location: Germany

PostPosted: Sat Apr 12, 2014 11:54    Post subject: WRT610Nv1 Reply with quote
Thank you <Kong> for opening this poll and fix even older builds!

Nevertheless, I'm currently using a WRT610Nv1 (old stuff, too) as an OpenVPN-Server with your last v1-compatible version 20575M (vpn kongmod).
But for builds based on r20780 or newer the Linksys WRT 610 V1 is not supported anymore.

Will you patch that old build anyway or would you suggest something else?

_________________
Broadcom:
3 x WRT160Nv1 DD-WRT v24-sp2 (09/18/10) vpn-small - build 15230M NEWD Eko
1 x WHR-G54S DD-WRT v24-sp2 (09/18/10) vpn-small - build 15230M NEWD Eko
1 x WRT610Nv1 DD-WRT v24-sp2 (02/13/13) vpnkong - build 20575M
Atheros:
1 x WNDR3800 DD-WRT v24-sp2 (04/18/14) std - build 23919
blaser
DD-WRT User


Joined: 16 Jul 2006
Posts: 216

PostPosted: Sat Apr 12, 2014 12:28    Post subject: Reply with quote
Where can I find these builds?
I'm running E3000 with 15962 big with openvpn, I just closed it and I understand I need to upgrade to 22200, right?

_________________
E3000 15962
Buffalo WZR-600DHP2 23919
danis
DD-WRT Novice


Joined: 22 Sep 2010
Posts: 23
Location: Toronto, Ontario

PostPosted: Sat Apr 12, 2014 12:48    Post subject: Reply with quote
I believe this is the fix we've been looking for:

http://www.desipro.de/ddwrt/K26/r21395+/
<Kong>
DD-WRT Guru


Joined: 15 Dec 2010
Posts: 2129
Location: Germany

PostPosted: Sat Apr 12, 2014 13:02    Post subject: Re: WRT610Nv1 Reply with quote
basofree wrote:
Thank you <Kong> for opening this poll and fix even older builds!

Nevertheless, I'm currently using a WRT610Nv1 (old stuff, too) as an OpenVPN-Server with your last v1-compatible version 20575M (vpn kongmod).
But for builds based on r20780 or newer the Linksys WRT 610 V1 is not supported anymore.

Will you patch that old build anyway or would you suggest something else?


I don't think I'm going to create an extra build just for one unit. Just use another router for openvpn with its 300Mhz it must be slow too.
danis
DD-WRT Novice


Joined: 22 Sep 2010
Posts: 23
Location: Toronto, Ontario

PostPosted: Sat Apr 12, 2014 13:21    Post subject: Reply with quote
Thanks Kong!

I just loaded the USB ftp VPN nv60k from the link I posted. I feem better knowing heart bleed I'd fixed on my vpn!

So far so good. I'll post any bugs I encounter here if I find anything.

Currently tested ipv6, wireless, Nat, so far it looks good.
Goto page 1, 2, 3, 4, 5  Next Display posts from previous:    Page 1 of 5
Post new topic   Reply to topic    DD-WRT Forum Forum Index -> Broadcom SoC based Hardware All times are GMT

Navigation

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum